# Uses of Enum Class
org.bukkit.event.player.AsyncPlayerPreLoginEvent.Result

Packages that use AsyncPlayerPreLoginEvent.Result
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of AsyncPlayerPreLoginEvent.Result in org.bukkit.event.player

Methods in org.bukkit.event.player that return AsyncPlayerPreLoginEvent.Result
Modifier and Type
Method
Description
`@NotNull AsyncPlayerPreLoginEvent.Result`
AsyncPlayerPreLoginEvent.`getLoginResult()`
Gets the current result of the login, as an enum
`static AsyncPlayerPreLoginEvent.Result`
AsyncPlayerPreLoginEvent.Result.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AsyncPlayerPreLoginEvent.Result[]`
AsyncPlayerPreLoginEvent.Result.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.event.player with parameters of type AsyncPlayerPreLoginEvent.Result
Modifier and Type
Method
Description
`void`
AsyncPlayerPreLoginEvent.`disallow(@NotNull AsyncPlayerPreLoginEvent.Result result, @NotNull String message)`
Deprecated.
in favour of `AsyncPlayerPreLoginEvent.disallow(org.bukkit.event.player.AsyncPlayerPreLoginEvent.Result, net.kyori.adventure.text.Component)`
`void`
AsyncPlayerPreLoginEvent.`disallow(@NotNull AsyncPlayerPreLoginEvent.Result result, Component message)`
Disallows the player from logging in, with the given reason
`void`
AsyncPlayerPreLoginEvent.`setLoginResult(@NotNull AsyncPlayerPreLoginEvent.Result result)`
Sets the new result of the login, as an enum